<?php
/**
@author Charles-Alban Allard
Ce document est soumis  une diffusion restreinte.
*/
class Cylinder
{
	private $name,$bottom, $height, $radius, $side, $top,$color;
	private $transforms=array();
	public function __construct($name,$bottom, $height, $radius, $side, $top, $color){
		$this->name=$name;
		$this->bottom=$bottom;
		$this->height=$height;
		$this->radius=$radius;
		$this->side=$side;
		$this->top=$top;
		$this->color=$color;
	}
	
	public function addtransformation($transform)
	{
		$this->transforms[count($this->transforms)]=$transform;
	}
	
	public function show(){
	echo "DEF ".$this->name." Transform {";
	if (count($this->transforms)>0){
		foreach($this->transforms as $transform)
		{
			$transform->show();
		}
	}
echo "\n children [
  DEF Box1 Shape {
   appearance Appearance {
    ";
	$this->color->show();
	echo "
   }
   geometry DEF GeoCylinder1 Cylinder {
    bottom $this->bottom
	height $this->height
	radius $this->radius
	side $this->side	
	top $this->top
   }

  }
 ]
}\n";
	}
}

?>