<?php
/**
@author Charles-Alban Allard
Ce document est soumis  une diffusion restreinte.
*/
include_once "color.php";
include_once "cube.php";
include_once "cone.php";
include_once "cylinder.php";
include_once "view.php";
include_once "texture.php";
include_once "sphere.php";
include_once "rotation.php";
include_once "translation.php";
class Vrml
{
	private $BackgroundColor=null;
	private $objects=array();
	public function __construct()
	{}
	public function setBackgroundColor($Rcolor, $Gcolor, $Bcolor)
	{
		$this->BackgroundColor->R=$Rcolor;
		$this->BackgroundColor->G=$Gcolor;
		$this->BackgroundColor->B=$Bcolor;
	}
	
	public function add($object)
	{
		$this->objects[count($this->objects)]=$object;
	}
	
	public function show()
	{
		if (headers_sent() == false)
		{
			header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
			header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date du pass
		   	header('Content-type: model/vrml');
			echo "#VRML V2.0 utf8\n";
			if($this->BackgroundColor!=null){
				echo "Background { skyColor ".$this->BackgroundColor->R ." ".$this->BackgroundColor->G ." ".$this->BackgroundColor->B ." }";
			}
			if (count($this->objects)>0){
				foreach($this->objects as $object)
				{
					$object->show();
				}
			}
		}
	else echo "erreur";
	}
}

?>